//-----------------------------------------------------------------------------
// \file    aic3204.h
// \brief   OMAP-L138 aic3204 definitions and function prototypes.
//          driver for AIC3204
//
//-----------------------------------------------------------------------------

#ifndef AIC3204_H_
#define AIC3204_H_

//-----------------------------------------------------------------------------
// Public Defines and Macros
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Public Function Prototypes
//-----------------------------------------------------------------------------
void aic3204_init_stereo(void);
void aic3204_init_mono(void);
void aic3205_analog_lp_loopback();
void aic3205_analog_pga_loopback();
int16_t aic3204_tone_headphone(void);
int16_t aic3204_tone_lineout(void);
//void aic3204_beep(uint16_t freq, uint16_t duration, uint16_t attenuation);
void aic3204_beep();
void aic3204_beep_1k_50ms();
void aic3204_beep_500_50ms();
void aic3204_beep_800_50ms();
void aic3204_beep_2k_25ms();
void aic3204_dac_mute();
void aic3204_dac_unmute();
void aic3204_digital_loopback_off();
void aic3204_digital_loopback_on();
void aic3204_drc_on(void);



#endif /*AIC3204_H_*/
